Index: in-auction/install/install_data.sql
===================================================================
--- in-auction/install/install_data.sql	(revision 15437)
+++ in-auction/install/install_data.sql	(working copy)
@@ -1758,10 +1758,10 @@
 INSERT INTO eBayStoreCategories VALUES (1, 0, 'Other');
 
 INSERT INTO eBayListingDetailTemplates VALUES (1, 'Default Details Template', 'Product Name: <inp2:p_Field name="Title"/>\r\nProduct Description: <inp2:p_Field name="Description"/>\r\nProduct Retail Price: <inp2:p_Field name="MSRP"/>\r\nProduct Features: <inp2:p_Field name="cust_Features"/>\r\n');
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYORDER.CREATE', NULL, 1, 0, 'In-Auction', 'eBay order created', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYNOTPAID.NOTIFY', NULL, 1, 0, 'In-Auction', 'eBay item not paid', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYNOTPAID.NOTIFY', NULL, 1, 0, 'In-Auction', 'eBay item not paid', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYFEEDBACKNOTRECEIVED.NOTIFY', NULL, 1, 0, 'In-Auction', 'eBay feedback not received', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYORDER.CREATE', NULL, 1, 0, 'In-Auction', 'eBay order created', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYNOTPAID.NOTIFY', NULL, 1, 0, 'In-Auction', 'eBay item not paid', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYNOTPAID.NOTIFY', NULL, 1, 0, 'In-Auction', 'eBay item not paid', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'EBAYFEEDBACKNOTRECEIVED.NOTIFY', NULL, 1, 0, 'In-Auction', 'eBay feedback not received', 0, 1, 1);
 
 INSERT INTO Permissions VALUES (DEFAULT, 'ebay.view', 11, 1, 1, 0);
 INSERT INTO Permissions VALUES (DEFAULT, 'ebay:setting_folder.view', 11, 1, 1, 0);
Index: in-auction/units/sections/ebay_eh.php
===================================================================
--- in-auction/units/sections/ebay_eh.php	(revision 15587)
+++ in-auction/units/sections/ebay_eh.php	(working copy)
@@ -1867,7 +1867,7 @@
 					'username' => $User->GetDBField('Username'),
 				);
 
-				$this->Application->EmailEventUser('EBAYORDER.CREATE', $User->GetID(), $send_params);
+				$this->Application->emailUser('EBAYORDER.CREATE', $User->GetID(), $send_params);
 
 			}
 		}
@@ -3063,8 +3063,8 @@
 					'from_email' => $admin_email,
 				);
 
-				$this->Application->EmailEventUser('EBAYNOTPAID.NOTIFY', $User->GetID(), $send_params);
-				$this->Application->EmailEventAdmin('EBAYNOTPAID.NOTIFY', null, Array(
+				$this->Application->emailUser('EBAYNOTPAID.NOTIFY', $User->GetID(), $send_params);
+				$this->Application->emailAdmin('EBAYNOTPAID.NOTIFY', null, Array(
 					'eBayListingId' => $a_item['eBayListingId'],
 					'to_email' => $admin_email,
 				));
@@ -3827,7 +3827,7 @@
 					$esender->AddCc($admin_email);
 				}
 
-				$this->Application->EmailEventUser('EBAYFEEDBACKNOTRECEIVED.NOTIFY', $User->GetID(), $send_params);
+				$this->Application->emailUser('EBAYFEEDBACKNOTRECEIVED.NOTIFY', $User->GetID(), $send_params);
 
 				// update LastFeedbackNotificationTime field
 
Index: in-bulletin/install/install_data.sql
===================================================================
--- in-bulletin/install/install_data.sql	(revision 15467)
+++ in-bulletin/install/install_data.sql	(working copy)
@@ -63,21 +63,21 @@
 
 UPDATE Emoticon SET EmotionImage = CONCAT('0_',EmoticonId,'.gif');
 
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD', NULL, 1, 1, 'In-Bulletin', 'Topic Added', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD', NULL, 1, 1, 'In-Bulletin', 'Topic Added', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD.PENDING', NULL, 1, 1, 'In-Bulletin', 'Add Pending Topic', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD.PENDING', NULL, 1, 1, 'In-Bulletin', 'Add Pending Topic', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY', NULL, 1, 1, 'In-Bulletin', 'Modify Topic', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY', NULL, 1, 1, 'In-Bulletin', 'Modify Topic', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY.PENDING', NULL, 1, 1, 'In-Bulletin', 'Topic Modifications Pending', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY.PENDING', NULL, 1, 1, 'In-Bulletin', 'Topic Modifications Pending', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.APPROVE', NULL, 1, 0, 'In-Bulletin', 'Approve Topic', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'POST.ADD', NULL, 1, 1, 'In-Bulletin', 'Post Added', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'POST.MODIFY', NULL, 1, 1, 'In-Bulletin', 'Post Modified', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'POST.ADD', NULL, 1, 0, 'In-Bulletin', 'Post Added', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'PM.ADD', NULL, 1, 0, 'In-Bulletin', 'New Private Message', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient, BindToSystemEvent) VALUES(DEFAULT, 'POST.ADD.SUB', NULL, 1, 0, 'In-Bulletin', 'Post Added (for subscribers)', 0, 1, 0, 'bb-post:OnCreate');
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient, BindToSystemEvent) VALUES(DEFAULT, 'TOPIC.ADD.SUB', NULL, 1, 0, 'In-Bulletin', 'Topic Added (for subscribers)', 0, 1, 0, 'bb:OnCreate');
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD', NULL, 1, 1, 'In-Bulletin', 'Topic Added', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD', NULL, 1, 1, 'In-Bulletin', 'Topic Added', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD.PENDING', NULL, 1, 1, 'In-Bulletin', 'Add Pending Topic', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.ADD.PENDING', NULL, 1, 1, 'In-Bulletin', 'Add Pending Topic', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY', NULL, 1, 1, 'In-Bulletin', 'Modify Topic', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY', NULL, 1, 1, 'In-Bulletin', 'Modify Topic', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY.PENDING', NULL, 1, 1, 'In-Bulletin', 'Topic Modifications Pending', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.MODIFY.PENDING', NULL, 1, 1, 'In-Bulletin', 'Topic Modifications Pending', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'TOPIC.APPROVE', NULL, 1, 0, 'In-Bulletin', 'Approve Topic', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'POST.ADD', NULL, 1, 1, 'In-Bulletin', 'Post Added', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'POST.MODIFY', NULL, 1, 1, 'In-Bulletin', 'Post Modified', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'POST.ADD', NULL, 1, 0, 'In-Bulletin', 'Post Added', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'PM.ADD', NULL, 1, 0, 'In-Bulletin', 'New Private Message', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient, BindToSystemEvent) VALUES(DEFAULT, 'POST.ADD.SUB', NULL, 1, 0, 'In-Bulletin', 'Post Added (for subscribers)', 0, 1, 0, 'bb-post:OnCreate');
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient, BindToSystemEvent) VALUES(DEFAULT, 'TOPIC.ADD.SUB', NULL, 1, 0, 'In-Bulletin', 'Topic Added (for subscribers)', 0, 1, 0, 'bb:OnCreate');
 
 INSERT INTO ItemTypes VALUES (3, 'In-Bulletin', 'bb', 'Topic', 'TopicText', 'OwnerId', 'Views', 'CachedRating', 'la_ItemTab_Topics', 1, '', 'clsTopic', 'Topic');
 INSERT INTO ItemTypes VALUES (30, 'In-Bulletin', 'posting', 'Posting', 'Subject', 'CreatedById', NULL, NULL, 'la_ItemTab_Posts', 0, '', '', 'Post');
Index: in-bulletin/units/helpers/post_helper.php
===================================================================
--- in-bulletin/units/helpers/post_helper.php	(revision 15599)
+++ in-bulletin/units/helpers/post_helper.php	(working copy)
@@ -441,7 +441,7 @@
 					$category_id = isset($arguments[0]) ? $arguments[0] : $this->Application->GetVar('m_cat_id');
 
 					$fields_hash = Array (
-						'EmailEventId' => $manager->getEmailEventId('TOPIC.ADD.SUB'),
+						'EmailTemplateId' => $manager->getEmailTemplateId('TOPIC.ADD.SUB'),
 						'UserId' => $user_id,
 						'CategoryId' => $category_id,
 					);
@@ -449,7 +449,7 @@
 
 				case 'TopicPosts':
 					$fields_hash = Array (
-						'EmailEventId' => $manager->getEmailEventId('POST.ADD.SUB'),
+						'EmailTemplateId' => $manager->getEmailTemplateId('POST.ADD.SUB'),
 						'UserId' => $user_id,
 						'ParentItemId' => $arguments[0],
 					);
Index: in-bulletin/units/posts/post_eh.php
===================================================================
--- in-bulletin/units/posts/post_eh.php	(revision 15567)
+++ in-bulletin/units/posts/post_eh.php	(working copy)
@@ -154,7 +154,7 @@
 		{
 			parent::OnAfterItemUpdate($event);
 
-			$this->Application->EmailEventAdmin('POST.MODIFY');
+			$this->Application->emailAdmin('POST.MODIFY');
 		}
 
 		/**
@@ -237,15 +237,15 @@
 				$user_notified = false; // don't send POST.ADD event twice to same user (in case if owner adds new post)
 				if ( $main_object->GetDBField('NotifyOwnerOnChanges') ) {
 					$user_notified = $main_object->GetDBField('OwnerId');
-					$this->Application->EmailEventUser('POST.ADD', $user_notified);
+					$this->Application->emailUser('POST.ADD', $user_notified);
 				}
 
 				$post_owner_id = $object->GetDBField('CreatedById');
 				if ( ($post_owner_id > 0) && ($user_notified != $post_owner_id) ) {
-					$this->Application->EmailEventUser('POST.ADD', $post_owner_id);
+					$this->Application->emailUser('POST.ADD', $post_owner_id);
 				}
 
-				$this->Application->EmailEventAdmin('POST.ADD');
+				$this->Application->emailAdmin('POST.ADD');
 			}
 
 			$post_helper->updateTodayPostsCount($main_object, $object->GetDBField('CreatedOn'), +1);
Index: in-bulletin/units/private_messages/private_message_eh.php
===================================================================
--- in-bulletin/units/private_messages/private_message_eh.php	(revision 15437)
+++ in-bulletin/units/private_messages/private_message_eh.php	(working copy)
@@ -109,7 +109,7 @@
 			$object = $event->getObject();
 			/* @var $object kDBItem */
 
-			$this->Application->EmailEventUser('PM.ADD', $object->GetDBField('ToId'));
+			$this->Application->emailUser('PM.ADD', $object->GetDBField('ToId'));
 
 			if ( $object->GetDBField('FolderId') != PM_FOLDER_SENT ) {
 				// 1. create message in sender's "Sent" folder (this method only for this step)
Index: in-commerce/install/install_data.sql
===================================================================
--- in-commerce/install/install_data.sql	(revision 15468)
+++ in-commerce/install/install_data.sql	(working copy)
@@ -254,33 +254,33 @@
 INSERT INTO CustomFields VALUES (DEFAULT, 1, 'p_ItemTemplate', 'la_fld_cust_p_ItemTemplate', 0, 'la_title_SystemCF', 'la_fld_cust_p_ItemTemplate', 'text', NULL, '', 0, 0, 1, 0);
 INSERT INTO CustomFields VALUES (DEFAULT, 6, 'shipping_addr_block', 'la_fld_BlockShippingAddress', 0, 'la_section_StoreSettings', 'la_fld_BlockShippingAddress', 'checkbox', '1=+Block', '', 0, 1, 1, 0);
 
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.SUBMIT', NULL, 1, 1, 'In-Commerce', 'Order Submitted', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.SUBMIT', NULL, 1, 1, 'In-Commerce', 'Order Submitted', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.APPROVE', NULL, 1, 0, 'In-Commerce', 'Order Approved', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.DENY', NULL, 1, 0, 'In-Commerce', 'Order Denied', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.SHIP', NULL, 1, 0, 'In-Commerce', 'Order Shipped', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.ADD', NULL, 1, 1, 'In-Commerce', 'Backorder Added', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.ADD', NULL, 1, 1, 'In-Commerce', 'Backorder Added', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.FULLFILL', NULL, 1, 0, 'In-Commerce', 'Back-order is Fulfilled', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.PROCESS', NULL, 1, 0, 'In-Commerce', 'Backorder Processed', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'PRODUCT.SUGGEST', NULL, 1, 0, 'In-Commerce', 'Suggest product to a friend', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'PRODUCT.SUGGEST', NULL, 1, 1, 'In-Commerce', 'Suggest product to a friend', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTER', NULL, 1, 1, 'In-Commerce', 'Affiliate registered', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTER', NULL, 1, 1, 'In-Commerce', 'Affiliate registered', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT', NULL, 1, 0, 'In-Commerce', 'Affiliate payment issued', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT', NULL, 1, 0, 'In-Commerce', 'Affiliate payment issued', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.APPROVED', NULL, 1, 0, 'In-Commerce', 'Affiliate registration approved', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.APPROVED', NULL, 0, 0, 'In-Commerce', 'Affiliate registration approved', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.DENIED', NULL, 1, 0, 'In-Commerce', 'Affiliate registration denied', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.DENIED', NULL, 0, 0, 'In-Commerce', 'Affiliate registration denied', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT.TYPE.CHANGED', NULL, 1, 0, 'In-Commerce', 'Affiliate payment type changed', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT.TYPE.CHANGED', NULL, 1, 0, 'In-Commerce', 'Affiliate payment type changed', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.PROCESSED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Processed', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.PROCESSED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Processed', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.DENIED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Denied', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.DENIED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Denied', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'USER.GIFTCERTIFICATE', NULL, 1, 0, 'In-Commerce', 'Gift Certificate', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'USER.GIFTCERTIFICATE', NULL, 1, 0, 'In-Commerce', 'Gift Certificate', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.SUBMIT', NULL, 1, 1, 'In-Commerce', 'Order Submitted', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.SUBMIT', NULL, 1, 1, 'In-Commerce', 'Order Submitted', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.APPROVE', NULL, 1, 0, 'In-Commerce', 'Order Approved', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.DENY', NULL, 1, 0, 'In-Commerce', 'Order Denied', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.SHIP', NULL, 1, 0, 'In-Commerce', 'Order Shipped', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.ADD', NULL, 1, 1, 'In-Commerce', 'Backorder Added', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.ADD', NULL, 1, 1, 'In-Commerce', 'Backorder Added', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.FULLFILL', NULL, 1, 0, 'In-Commerce', 'Back-order is Fulfilled', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'BACKORDER.PROCESS', NULL, 1, 0, 'In-Commerce', 'Backorder Processed', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'PRODUCT.SUGGEST', NULL, 1, 0, 'In-Commerce', 'Suggest product to a friend', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'PRODUCT.SUGGEST', NULL, 1, 1, 'In-Commerce', 'Suggest product to a friend', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTER', NULL, 1, 1, 'In-Commerce', 'Affiliate registered', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTER', NULL, 1, 1, 'In-Commerce', 'Affiliate registered', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT', NULL, 1, 0, 'In-Commerce', 'Affiliate payment issued', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT', NULL, 1, 0, 'In-Commerce', 'Affiliate payment issued', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.APPROVED', NULL, 1, 0, 'In-Commerce', 'Affiliate registration approved', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.APPROVED', NULL, 0, 0, 'In-Commerce', 'Affiliate registration approved', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.DENIED', NULL, 1, 0, 'In-Commerce', 'Affiliate registration denied', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.REGISTRATION.DENIED', NULL, 0, 0, 'In-Commerce', 'Affiliate registration denied', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT.TYPE.CHANGED', NULL, 1, 0, 'In-Commerce', 'Affiliate payment type changed', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'AFFILIATE.PAYMENT.TYPE.CHANGED', NULL, 1, 0, 'In-Commerce', 'Affiliate payment type changed', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.PROCESSED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Processed', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.PROCESSED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Processed', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.DENIED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Denied', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'ORDER.RECURRING.DENIED', NULL, 1, 0, 'In-Commerce', 'Recurring Order Denied', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'USER.GIFTCERTIFICATE', NULL, 1, 0, 'In-Commerce', 'Gift Certificate', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'USER.GIFTCERTIFICATE', NULL, 1, 0, 'In-Commerce', 'Gift Certificate', 1, 1, 1);
 
 INSERT INTO GatewayConfigFields VALUES (1, 'submit_url', 'Gateway URL', 'text', '', 2);
 INSERT INTO GatewayConfigFields VALUES (2, 'user_account', 'Authorize.net User Name', 'text', '', 2);
Index: in-commerce/units/affiliates/affiliates_event_handler.php
===================================================================
--- in-commerce/units/affiliates/affiliates_event_handler.php	(revision 15540)
+++ in-commerce/units/affiliates/affiliates_event_handler.php	(working copy)
@@ -346,8 +346,8 @@
 			$object->SetDBField('PortalUserId', $user->GetID());
 
 			if ( $object->Create() ) {
-				$this->Application->EmailEventUser('AFFILIATE.REGISTER', $user->GetID());
-				$this->Application->EmailEventAdmin('AFFILIATE.REGISTER');
+				$this->Application->emailUser('AFFILIATE.REGISTER', $user->GetID());
+				$this->Application->emailAdmin('AFFILIATE.REGISTER');
 			}
 		}
 
@@ -404,8 +404,8 @@
 				$object = $event->getObject();
 				/* @var $object kDBItem */
 
-				$this->Application->EmailEventUser('AFFILIATE.PAYMENT.TYPE.CHANGED', $object->GetDBField('PortalUserId'));
-				$this->Application->EmailEventAdmin('AFFILIATE.PAYMENT.TYPE.CHANGED');
+				$this->Application->emailUser('AFFILIATE.PAYMENT.TYPE.CHANGED', $object->GetDBField('PortalUserId'));
+				$this->Application->emailAdmin('AFFILIATE.PAYMENT.TYPE.CHANGED');
 
 				$next_template = $this->Application->GetVar('next_template');
 
@@ -448,8 +448,8 @@
 
 			foreach ($new_ids as $payment_id) {
 				$payment_object->Load($payment_id);
-				$this->Application->EmailEventUser('AFFILIATE.PAYMENT', $payment_object->GetDBField('PortalUserId'));
-				$this->Application->EmailEventAdmin('AFFILIATE.PAYMENT');
+				$this->Application->emailUser('AFFILIATE.PAYMENT', $payment_object->GetDBField('PortalUserId'));
+				$this->Application->emailAdmin('AFFILIATE.PAYMENT');
 			}
 
 			$object = $event->getObject();
@@ -467,8 +467,8 @@
 			$old_status = $this->Conn->GetOne($sql);
 
 			if ( $old_status == 2 && $object->GetDBField('Status') == 1 ) {
-				$this->Application->EmailEventUser('AFFILIATE.REGISTRATION.APPROVED', $object->GetDBField('PortalUserId'));
-				$this->Application->EmailEventAdmin('AFFILIATE.REGISTRATION.APPROVED');
+				$this->Application->emailUser('AFFILIATE.REGISTRATION.APPROVED', $object->GetDBField('PortalUserId'));
+				$this->Application->emailAdmin('AFFILIATE.REGISTRATION.APPROVED');
 			}
 		}
 
@@ -617,12 +617,12 @@
 					if ( $object->Update() ) {
 						switch ($event->Name) {
 							case 'OnMassApprove':
-								$this->Application->EmailEventUser('AFFILIATE.REGISTRATION.APPROVED', $object->GetDBField('PortalUserId'));
-								$this->Application->EmailEventAdmin('AFFILIATE.REGISTRATION.APPROVED');
+								$this->Application->emailUser('AFFILIATE.REGISTRATION.APPROVED', $object->GetDBField('PortalUserId'));
+								$this->Application->emailAdmin('AFFILIATE.REGISTRATION.APPROVED');
 								break;
 							case 'OnMassDecline':
-								$this->Application->EmailEventUser('AFFILIATE.REGISTRATION.DENIED', $object->GetDBField('PortalUserId'));
-								$this->Application->EmailEventAdmin('AFFILIATE.REGISTRATION.DENIED');
+								$this->Application->emailUser('AFFILIATE.REGISTRATION.DENIED', $object->GetDBField('PortalUserId'));
+								$this->Application->emailAdmin('AFFILIATE.REGISTRATION.DENIED');
 								break;
 						}
 						$event->status = kEvent::erSUCCESS;
Index: in-commerce/units/gift_certificates/gift_certificates_eh.php
===================================================================
--- in-commerce/units/gift_certificates/gift_certificates_eh.php	(revision 15437)
+++ in-commerce/units/gift_certificates/gift_certificates_eh.php	(working copy)
@@ -189,11 +189,11 @@
 				'gifcert_id' => $object->GetDBField('Code'),
 			);
 
-			$this->Application->EmailEventAdmin('USER.GIFTCERTIFICATE', null, $send_params);
+			$this->Application->emailAdmin('USER.GIFTCERTIFICATE', null, $send_params);
 
 			$send_params['to_email'] = $object->GetDBField('RecipientEmail');
 			$send_params['to_name'] = $object->GetDBField('Recipient');
-			$this->Application->EmailEventUser('USER.GIFTCERTIFICATE', null, $send_params);
+			$this->Application->emailUser('USER.GIFTCERTIFICATE', null, $send_params);
 		}
 
 		$this->clearSelectedIDs($event);
Index: in-commerce/units/orders/orders_event_handler.php
===================================================================
--- in-commerce/units/orders/orders_event_handler.php	(revision 15591)
+++ in-commerce/units/orders/orders_event_handler.php	(working copy)
@@ -487,8 +487,8 @@
 				$this->PrepareCoupons($event, $order);
 			}
 
-			$this->Application->EmailEventUser('ORDER.SUBMIT', null, $this->OrderEmailParams($order));
-			$this->Application->EmailEventAdmin('ORDER.SUBMIT');
+			$this->Application->emailUser('ORDER.SUBMIT', null, $this->OrderEmailParams($order));
+			$this->Application->emailAdmin('ORDER.SUBMIT');
 		}
 
 		if ($shipping_control === false || $shipping_control == SHIPPING_CONTROL_PREAUTH ) {
@@ -2116,7 +2116,7 @@
 					$this->SplitOrder($event, $object);
 
 					if ( $object->GetDBField('IsRecurringBilling') != 1 ) {
-						$this->Application->EmailEventUser('ORDER.APPROVE', null, $email_params);
+						$this->Application->emailUser('ORDER.APPROVE', null, $email_params);
 
 						// Mask credit card with XXXX
 						if ( $this->Application->ConfigValue('Comm_MaskProcessedCreditCards') ) {
@@ -2139,7 +2139,7 @@
 				}
 
 				if ( ($original_order_status != ORDER_STATUS_INCOMPLETE) && ($event->Name == 'OnMassOrderDeny' || $event->Name == 'OnOrderDeny') ) {
-					$this->Application->EmailEventUser('ORDER.DENY', null, $email_params);
+					$this->Application->emailUser('ORDER.DENY', null, $email_params);
 
 					// inform payment gateway that order was declined
 					$gw_data = $object->getGatewayData();
@@ -2194,7 +2194,7 @@
 
 					$shipping_email = $object->GetDBField('ShippingEmail');
 					$email_params['to_email'] = $shipping_email ? $shipping_email : $email_params['_user_email'];
-					$this->Application->EmailEventUser('ORDER.SHIP', null, $email_params);
+					$this->Application->emailUser('ORDER.SHIP', null, $email_params);
 
 					// inform payment gateway that order was shipped
 					$gw_data = $object->getGatewayData();
@@ -2222,7 +2222,7 @@
 						$set_new_status = true;
 					}
 
-					$this->Application->EmailEventUser('BACKORDER.PROCESS', null, $email_params);
+					$this->Application->emailUser('BACKORDER.PROCESS', null, $email_params);
 				}
 				else {
 					$event->status = kEvent::erFAIL;
@@ -2885,8 +2885,8 @@
 				$sub_order->SetDBField('Status', ORDER_STATUS_BACKORDERS);
 
 				if ($event->Special != 'recurring') { // just in case if admin uses tangible backordered products in recurring orders
-					$this->Application->EmailEventUser('BACKORDER.ADD', null, $this->OrderEmailParams($sub_order));
-		    		$this->Application->EmailEventAdmin('BACKORDER.ADD');
+					$this->Application->emailUser('BACKORDER.ADD', null, $this->OrderEmailParams($sub_order));
+		    		$this->Application->emailAdmin('BACKORDER.ADD');
 				}
 			}
 			else {
@@ -3524,15 +3524,15 @@
 
 				if ($complete_event->status == kEvent::erSUCCESS) {
 					//send recurring ok email
-					$this->Application->EmailEventUser('ORDER.RECURRING.PROCESSED', null, $this->OrderEmailParams($order));
-					$this->Application->EmailEventAdmin('ORDER.RECURRING.PROCESSED');
+					$this->Application->emailUser('ORDER.RECURRING.PROCESSED', null, $this->OrderEmailParams($order));
+					$this->Application->emailAdmin('ORDER.RECURRING.PROCESSED');
 				}
 				else {
 					//send Recurring failed event
 					$order->SetDBField('Status', ORDER_STATUS_DENIED);
 					$order->Update();
-					$this->Application->EmailEventUser('ORDER.RECURRING.DENIED', null, $this->OrderEmailParams($order));
-					$this->Application->EmailEventAdmin('ORDER.RECURRING.DENIED');
+					$this->Application->emailUser('ORDER.RECURRING.DENIED', null, $this->OrderEmailParams($order));
+					$this->Application->emailAdmin('ORDER.RECURRING.DENIED');
 				}
 			}
 
Index: in-commerce/units/orders/orders_tag_processor.php
===================================================================
--- in-commerce/units/orders/orders_tag_processor.php	(revision 15598)
+++ in-commerce/units/orders/orders_tag_processor.php	(working copy)
@@ -1217,66 +1217,6 @@
 			return $o;
 		}
 
-		function OrderProductEmail($params)
-		{
-			$order = $this->Application->recallObject('ord');
-			$orditems = $this->Application->recallObject('orditems');
-
-			$sql = 'SELECT ResourceId
-					FROM '.TABLE_PREFIX.'Products
-					WHERE ProductId = '.$orditems->GetDBField('ProductId');
-			$resource_id = $this->Conn->GetOne($sql);
-
-			$ml_formatter = $this->Application->recallObject('kMultiLanguage');
-			$custom_fields = $this->Application->getUnitOption('p', 'CustomFields');
-			$custom_name = $ml_formatter->LangFieldName('cust_'.array_search($params['msg_custom_field'], $custom_fields));
-
-			$sql = 'SELECT '.$custom_name.'
-					FROM '.$this->Application->getUnitOption('p-cdata', 'TableName').'
-					WHERE ResourceId = '.$resource_id;
-			$message_template = $this->Conn->GetOne($sql);
-
-			if (!$message_template || trim($message_template) == '') {
-				// message template missing
-				return ;
-			}
-
-			$from_name = strip_tags($this->Application->ConfigValue('Site_Name'));
-			$from_email = $this->Application->ConfigValue('DefaultEmailSender');
-
-			$to_name = $order->GetDBField('BillingTo');
-			$to_email = $order->GetDBField('BillingEmail');
-			if (!$to_email) {
-				// billing email is empty, then use user's email
-				$sql = 'SELECT Email
-						FROM '.$this->Application->getUnitOption('u', 'TableName').'
-						WHERE PortalUserId = '.$order->GetDBField('PortalUserId');
-				$to_email = $this->Conn->GetOne($sql);
-			}
-
-			$esender = $application->recallObject('EmailSender.-product');
-			/* @var $esender kEmailSendingHelper */
-
-			$esender->SetFrom($from_email, $from_name);
-			$esender->AddTo($to_email, $to_name);
-
-			$email_events_eh = $this->Application->recallObject('emailevents_EventHandler');
-			/* @var $email_events_eh EmailEventsEventsHandler */
-
-			list ($message_headers, $message_body) = $email_events_eh->ParseMessageBody($message_template, Array());
-			if (!trim($message_body)) {
-				// message body missing
-				return false;
-			}
-
-			foreach ($message_headers as $header_name => $header_value) {
-				$esender->SetEncodedHeader($header_name, $header_value);
-			}
-
-			$esender->SetHTML($message_body);
-			$esender->Deliver();
-		}
-
 		/**
 		 * Prints order totals
 		 *
Index: in-commerce/units/products/products_event_handler.php
===================================================================
--- in-commerce/units/products/products_event_handler.php	(revision 15568)
+++ in-commerce/units/products/products_event_handler.php	(working copy)
@@ -296,7 +296,7 @@
 		foreach ($orders as $ord_id) {
 			$order->Load($ord_id);
 
-			$this->Application->EmailEventAdmin('BACKORDER.FULLFILL');
+			$this->Application->emailAdmin('BACKORDER.FULLFILL');
 
 			//reserve what's possible in any case
 			$event = new kEvent('ord:OnReserveItems');
@@ -774,8 +774,8 @@
 
 		if ( preg_match('/' . REGEX_EMAIL_USER . '@' . REGEX_EMAIL_DOMAIN . '/', $friend_email) ) {
 			$user_id = $this->Application->RecallVar('user_id');
-			$email_sent = $this->Application->EmailEventUser('PRODUCT.SUGGEST', $user_id, $send_params);
-			$this->Application->EmailEventAdmin('PRODUCT.SUGGEST');
+			$email_sent = $this->Application->emailUser('PRODUCT.SUGGEST', $user_id, $send_params);
+			$this->Application->emailAdmin('PRODUCT.SUGGEST');
 
 			if ( $email_sent ) {
 				$event->setRedirectParams(Array ('opener' => 's', 'pass' => 'all'));
Index: in-link/install/install_data.sql
===================================================================
--- in-link/install/install_data.sql	(revision 15469)
+++ in-link/install/install_data.sql	(working copy)
@@ -41,46 +41,46 @@
 INSERT INTO SystemSettings VALUES(DEFAULT, 'SearchRel_Increase_links', '30', 'In-Link', 'in-link:configuration_search', 'la_config_DefaultIncreaseImportance', 'la_text_increase_importance', 'text', NULL, NULL, 0, 0, 1, NULL);
 INSERT INTO SystemSettings VALUES(DEFAULT, 'Search_ShowMultiple_links', '0', 'In-Link', 'in-link:configuration_search', 'la_config_ShowMultiple', 'la_Text_MultipleShow', 'text', NULL, NULL, 0, 0, 1, NULL);
 
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD', NULL, 1, 1, 'In-Link', 'Add Link', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD', NULL, 1, 0, 'In-Link', 'Add Link', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD.PENDING', NULL, 1, 0, 'In-Link', 'Add Pending Link', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD.PENDING', NULL, 1, 1, 'In-Link', 'Add Pending Link', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY', NULL, 1, 1, 'In-Link', 'Modify Link', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY', NULL, 1, 0, 'In-Link', 'Modify Link', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.PENDING', NULL, 1, 0, 'In-Link', 'Link Modification Pending', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.PENDING', NULL, 1, 1, 'In-Link', 'Link Modification Pending', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.APPROVE', NULL, 1, 0, 'In-Link', 'Approve Link Modification', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.DENY', NULL, 1, 0, 'In-Link', 'Decline link modification', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.APPROVE', NULL, 1, 0, 'In-Link', 'Approve Pending Link', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.DENY', NULL, 1, 0, 'In-Link', 'Deny Link', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD', NULL, 1, 1, 'In-Link', 'Link Comment Added', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD', NULL, 1, 0, 'In-Link', 'Link Comment Added', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-Link', 'Link Comment Pending', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-Link', 'Link Comment Pending', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.APPROVE', NULL, 1, 0, 'In-Link', 'Link Comment Approved', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.DENY', NULL, 1, 0, 'In-Link', 'Link Comment Declined', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE', NULL, 1, 0, 'In-Link', 'Link enhancement submitted', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE', NULL, 1, 0, 'In-Link', 'Link enhancement submitted', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.APPROVE', NULL, 0, 0, 'In-Link', 'Link enhancement approved', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.APPROVE', NULL, 1, 0, 'In-Link', 'Link enhancement approved', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.DENY', NULL, 0, 0, 'In-Link', 'Link enhancement denied', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.DENY', NULL, 1, 0, 'In-Link', 'Link enhancement denied', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXPIRE', NULL, 1, 0, 'In-Link', 'Link enhancement expired', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXPIRE', NULL, 1, 0, 'In-Link', 'Link enhancement expired', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXTEND', NULL, 1, 0, 'In-Link', 'Link enhancement renewal submitted', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXTEND', NULL, 1, 0, 'In-Link', 'Link enhancement renewal submitted', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW', NULL, 0, 0, 'In-Link', 'Link enhancement extended', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW', NULL, 1, 0, 'In-Link', 'Link enhancement extended', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW.FAILED', NULL, 1, 0, 'In-Link', 'Link enhancement renewal failed', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW.FAILED', NULL, 1, 0, 'In-Link', 'Link enhancement renewal failed', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.CANCEL', NULL, 1, 0, 'In-Link', 'Link enhancement cancelled', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.CANCEL', NULL, 1, 0, 'In-Link', 'Link enhancement cancelled', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEWAL.NOTICE', NULL, 1, 0, 'In-Link', 'Link enhancement is about to expire', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEWAL.NOTICE', NULL, 1, 0, 'In-Link', 'Link enhancement is about to expire', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.CONTACTFORM', NULL, 1, 0, 'In-Link', 'Link Contact Form', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.CONTACTFORM', NULL, 1, 0, 'In-Link', 'Link Contact Form', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.RECIPROCAL.CHECK.FAILED', NULL, 1, 0, 'In-Link', 'Reciprocal Check Failed', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.VALIDATION.RESULTS', NULL, 1, 0, 'In-Link', 'Link Validation Results', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD', NULL, 1, 1, 'In-Link', 'Add Link', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD', NULL, 1, 0, 'In-Link', 'Add Link', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD.PENDING', NULL, 1, 0, 'In-Link', 'Add Pending Link', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ADD.PENDING', NULL, 1, 1, 'In-Link', 'Add Pending Link', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY', NULL, 1, 1, 'In-Link', 'Modify Link', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY', NULL, 1, 0, 'In-Link', 'Modify Link', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.PENDING', NULL, 1, 0, 'In-Link', 'Link Modification Pending', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.PENDING', NULL, 1, 1, 'In-Link', 'Link Modification Pending', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.APPROVE', NULL, 1, 0, 'In-Link', 'Approve Link Modification', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.MODIFY.DENY', NULL, 1, 0, 'In-Link', 'Decline link modification', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.APPROVE', NULL, 1, 0, 'In-Link', 'Approve Pending Link', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.DENY', NULL, 1, 0, 'In-Link', 'Deny Link', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD', NULL, 1, 1, 'In-Link', 'Link Comment Added', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD', NULL, 1, 0, 'In-Link', 'Link Comment Added', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-Link', 'Link Comment Pending', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-Link', 'Link Comment Pending', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.APPROVE', NULL, 1, 0, 'In-Link', 'Link Comment Approved', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.REVIEW.DENY', NULL, 1, 0, 'In-Link', 'Link Comment Declined', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE', NULL, 1, 0, 'In-Link', 'Link enhancement submitted', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE', NULL, 1, 0, 'In-Link', 'Link enhancement submitted', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.APPROVE', NULL, 0, 0, 'In-Link', 'Link enhancement approved', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.APPROVE', NULL, 1, 0, 'In-Link', 'Link enhancement approved', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.DENY', NULL, 0, 0, 'In-Link', 'Link enhancement denied', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.DENY', NULL, 1, 0, 'In-Link', 'Link enhancement denied', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXPIRE', NULL, 1, 0, 'In-Link', 'Link enhancement expired', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXPIRE', NULL, 1, 0, 'In-Link', 'Link enhancement expired', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXTEND', NULL, 1, 0, 'In-Link', 'Link enhancement renewal submitted', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.EXTEND', NULL, 1, 0, 'In-Link', 'Link enhancement renewal submitted', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW', NULL, 0, 0, 'In-Link', 'Link enhancement extended', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW', NULL, 1, 0, 'In-Link', 'Link enhancement extended', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW.FAILED', NULL, 1, 0, 'In-Link', 'Link enhancement renewal failed', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEW.FAILED', NULL, 1, 0, 'In-Link', 'Link enhancement renewal failed', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.CANCEL', NULL, 1, 0, 'In-Link', 'Link enhancement cancelled', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.CANCEL', NULL, 1, 0, 'In-Link', 'Link enhancement cancelled', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEWAL.NOTICE', NULL, 1, 0, 'In-Link', 'Link enhancement is about to expire', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.ENHANCE.RENEWAL.NOTICE', NULL, 1, 0, 'In-Link', 'Link enhancement is about to expire', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.CONTACTFORM', NULL, 1, 0, 'In-Link', 'Link Contact Form', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.CONTACTFORM', NULL, 1, 0, 'In-Link', 'Link Contact Form', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.RECIPROCAL.CHECK.FAILED', NULL, 1, 0, 'In-Link', 'Reciprocal Check Failed', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'LINK.VALIDATION.RESULTS', NULL, 1, 0, 'In-Link', 'Link Validation Results', 1, 1, 1);
 
 INSERT INTO CustomFields VALUES (DEFAULT, 4, 'LinkAddress', 'lu_fld_LinkAddress', 0, 'la_section_BusinessLocation', 'la_fld_LinkAddress', 'text', 'size="40"', '', 1, 1, 0, 0);
 INSERT INTO CustomFields VALUES (DEFAULT, 4, 'LinkCity', 'lu_fld_LinkCity', 0, 'la_section_BusinessLocation', 'la_fld_LinkCity', 'text', 'size="40"', '', 2, 1, 0, 0);
Index: in-link/units/link_validation/link_validation_eh.php
===================================================================
--- in-link/units/link_validation/link_validation_eh.php	(revision 15437)
+++ in-link/units/link_validation/link_validation_eh.php	(working copy)
@@ -231,7 +231,7 @@
 
 			if ($validation_data['processed'] >= $validation_data['total']) {
 				// finished
-				$this->Application->EmailEventAdmin('LINK.VALIDATION.RESULTS');
+				$this->Application->emailAdmin('LINK.VALIDATION.RESULTS');
 
 				$this->Application->RemoveVar($event->Prefix . '_status');
 				return true;
Index: in-link/units/links/links_event_handler.php
===================================================================
--- in-link/units/links/links_event_handler.php	(revision 15437)
+++ in-link/units/links/links_event_handler.php	(working copy)
@@ -328,7 +328,7 @@
 				'to_linkname' => $object->GetField('Name'),
 			);
 
-			$email_sent = $this->Application->EmailEventUser('LINK.CONTACTFORM', $object->GetDBField('CreatedById'), $send_params);
+			$email_sent = $this->Application->emailUser('LINK.CONTACTFORM', $object->GetDBField('CreatedById'), $send_params);
 
 			if ( $email_sent ) {
 				$event->redirect = $this->Application->GetVar('success_template');
@@ -341,7 +341,7 @@
 				);
 				$event->setRedirectParams($redirect_params);
 
-				$this->Application->EmailEventAdmin('LINK.CONTACTFORM', null, $send_params);
+				$this->Application->emailAdmin('LINK.CONTACTFORM', null, $send_params);
 			}
 			else {
 				$this->Application->SetVar('error_ContactFormEmail', 1);
@@ -403,7 +403,7 @@
 				$object->SetDBField('ReciprocalLinkFound', $link_checked ? LINK_IS_RECIPROCAL : LINK_IS_NOT_RECIPROCAL);
 
 				if (!$link_checked) {
-					$this->Application->EmailEventAdmin('LINK.RECIPROCAL.CHECK.FAILED');
+					$this->Application->emailAdmin('LINK.RECIPROCAL.CHECK.FAILED');
 				}
 			}
 		}
@@ -447,7 +447,7 @@
 				}
 				else {
 					$object->DeclineChanges();
-					$this->Application->EmailEventAdmin('LINK.RECIPROCAL.CHECK.FAILED');
+					$this->Application->emailAdmin('LINK.RECIPROCAL.CHECK.FAILED');
 				}
 			}
 
Index: in-link/units/listings/listings_event_handler.php
===================================================================
--- in-link/units/listings/listings_event_handler.php	(revision 15437)
+++ in-link/units/listings/listings_event_handler.php	(working copy)
@@ -141,8 +141,8 @@
 					WHERE ResourceId = ' . $object->GetDBField('ItemResourceId');
 			$user_id = $this->Conn->GetOne($sql);
 
-			$this->Application->EmailEventUser($email_event, $user_id);
-			$this->Application->EmailEventAdmin($email_event);
+			$this->Application->emailUser($email_event, $user_id);
+			$this->Application->emailAdmin($email_event);
 		}
 
 		if ( $type_modified || $link_modified ) {
@@ -414,8 +414,8 @@
 
 					$sql = 'SELECT CreatedById FROM '.$this->Application->getUnitOption('l', 'TableName').'
 							WHERE ResourceId = '.$object->GetDBField('ItemResourceId');
-					$this->Application->EmailEventUser('LINK.ENHANCE', $this->Conn->GetOne($sql));
-					$this->Application->EmailEventAdmin('LINK.ENHANCE');
+					$this->Application->emailUser('LINK.ENHANCE', $this->Conn->GetOne($sql));
+					$this->Application->emailAdmin('LINK.ENHANCE');
 					break;
 			}
 
@@ -569,8 +569,8 @@
 					$sql = 'SELECT CreatedById
 							FROM ' . $this->Application->getUnitOption('l', 'TableName') . '
 							WHERE ResourceId = ' . $object->GetDBField('ItemResourceId');
-					$this->Application->EmailEventUser('LINK.ENHANCE.DENY', $this->Conn->GetOne($sql));
-					$this->Application->EmailEventAdmin('LINK.ENHANCE.DENY');
+					$this->Application->emailUser('LINK.ENHANCE.DENY', $this->Conn->GetOne($sql));
+					$this->Application->emailAdmin('LINK.ENHANCE.DENY');
 				}
 			}
 		}
@@ -611,8 +611,8 @@
 					if ( $object->Update() ) {
 						$event->status = kEvent::erSUCCESS;
 						$event->SetRedirectParam('opener', 's');
-						$this->Application->EmailEventUser('LINK.ENHANCE.RENEW', $owner_id);
-						$this->Application->EmailEventAdmin('LINK.ENHANCE.RENEW');
+						$this->Application->emailUser('LINK.ENHANCE.RENEW', $owner_id);
+						$this->Application->emailAdmin('LINK.ENHANCE.RENEW');
 					}
 					else {
 						$event->status = kEvent::erFAIL;
@@ -621,8 +621,8 @@
 					}
 				}
 				else {
-					$this->Application->EmailEventUser('LINK.ENHANCE.APPROVE', $owner_id);
-					$this->Application->EmailEventAdmin('LINK.ENHANCE.APPROVE');
+					$this->Application->emailUser('LINK.ENHANCE.APPROVE', $owner_id);
+					$this->Application->emailAdmin('LINK.ENHANCE.APPROVE');
 				}
 			}
 		}
@@ -688,8 +688,8 @@
 
 		$sql = 'SELECT CreatedById FROM '.$this->Application->getUnitOption('l', 'TableName').'
 				WHERE ResourceId = '.$object->GetDBField('ItemResourceId');
-		$this->Application->EmailEventUser('LINK.ENHANCE.EXTEND', $this->Conn->GetOne($sql));
-		$this->Application->EmailEventAdmin('LINK.ENHANCE.EXTEND');
+		$this->Application->emailUser('LINK.ENHANCE.EXTEND', $this->Conn->GetOne($sql));
+		$this->Application->emailAdmin('LINK.ENHANCE.EXTEND');
 	}
 
 	/**
@@ -715,8 +715,8 @@
 
 		$sql = 'SELECT CreatedById FROM ' . $this->Application->getUnitOption('l', 'TableName') . '
 				WHERE ResourceId = ' . $object->GetDBField('ItemResourceId');
-		$this->Application->EmailEventUser('LINK.ENHANCE.CANCEL', $this->Conn->GetOne($sql));
-		$this->Application->EmailEventAdmin('LINK.ENHANCE.CANCEL');
+		$this->Application->emailUser('LINK.ENHANCE.CANCEL', $this->Conn->GetOne($sql));
+		$this->Application->emailAdmin('LINK.ENHANCE.CANCEL');
 
 		$object->Delete();
 		$event->redirect = $this->Application->GetVar('success_template');
@@ -747,8 +747,8 @@
 
 				$sql = 'SELECT CreatedById FROM '.$this->Application->getUnitOption('l', 'TableName').'
 						WHERE ResourceId = '.$object->GetDBField('ItemResourceId');
-				$this->Application->EmailEventUser('LINK.ENHANCE.EXPIRE', $this->Conn->GetOne($sql));
-				$this->Application->EmailEventAdmin('LINK.ENHANCE.EXPIRE');
+				$this->Application->emailUser('LINK.ENHANCE.EXPIRE', $this->Conn->GetOne($sql));
+				$this->Application->emailAdmin('LINK.ENHANCE.EXPIRE');
 			}
 		}
 
@@ -766,8 +766,8 @@
 			$listing_ids = Array();
 			foreach($res as $record)
 			{
-				$this->Application->EmailEventUser('LINK.ENHANCE.RENEWAL.NOTICE', $record['CreatedById']);
-				$this->Application->EmailEventAdmin('LINK.ENHANCE.RENEWAL.NOTICE');
+				$this->Application->emailUser('LINK.ENHANCE.RENEWAL.NOTICE', $record['CreatedById']);
+				$this->Application->emailAdmin('LINK.ENHANCE.RENEWAL.NOTICE');
 				$listing_ids[] = $record['ListingId'];
 			}
 			$sql = 'UPDATE '.$this->Application->getUnitOption($event->Prefix, 'TableName').'
Index: in-news/install/install_data.sql
===================================================================
--- in-news/install/install_data.sql	(revision 15523)
+++ in-news/install/install_data.sql	(working copy)
@@ -37,24 +37,24 @@
 INSERT INTO SystemSettings VALUES(DEFAULT, 'SearchRel_Increase_articles', '30', 'In-News', 'in-news:configuration_search', 'la_config_DefaultIncreaseImportance', 'la_text_increase_importance', 'text', NULL, NULL, 0, 0, 1, NULL);
 INSERT INTO SystemSettings VALUES(DEFAULT, 'Search_ShowMultiple_articles', '0', 'In-News', 'in-news:configuration_search', 'la_config_ShowMultiple', 'la_Text_MultipleShow', 'text', NULL, NULL, 0, 0, 1, NULL);
 
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD', NULL, 1, 1, 'In-News', 'Add Article', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD', NULL, 1, 0, 'In-News', 'Add Article', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD.PENDING', NULL, 1, 1, 'In-News', 'Article Add Pending', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD.PENDING', NULL, 1, 0, 'In-News', 'Article Add Pending', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY', NULL, 1, 1, 'In-News', 'Modify Article', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY', NULL, 1, 0, 'In-News', 'Modify Article', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.PENDING', NULL, 1, 1, 'In-News', 'Article Modify Pending', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.PENDING', NULL, 1, 0, 'In-News', 'Article Modify Pending', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.APPROVE', NULL, 1, 0, 'In-News', 'Approve Article Modification', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.DENY', NULL, 1, 0, 'In-News', 'Decline Article Modification', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.APPROVE', NULL, 1, 0, 'In-News', 'Approve Article', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.DENY', NULL, 1, 0, 'In-News', 'Decline Article', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD', NULL, 1, 1, 'In-News', 'Article Comment Added', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD', NULL, 1, 0, 'In-News', 'Article Comment Added', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.APPROVE', NULL, 1, 0, 'In-News', 'Article Comment Approved', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.DENY', NULL, 1, 0, 'In-News', 'Article Comment Declined', 0, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-News', 'Article Comment Pending', 1, 1, 1);
-INSERT INTO EmailEvents (EventId, Event, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-News', 'Article Comment Pending', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD', NULL, 1, 1, 'In-News', 'Add Article', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD', NULL, 1, 0, 'In-News', 'Add Article', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD.PENDING', NULL, 1, 1, 'In-News', 'Article Add Pending', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.ADD.PENDING', NULL, 1, 0, 'In-News', 'Article Add Pending', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY', NULL, 1, 1, 'In-News', 'Modify Article', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY', NULL, 1, 0, 'In-News', 'Modify Article', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.PENDING', NULL, 1, 1, 'In-News', 'Article Modify Pending', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.PENDING', NULL, 1, 0, 'In-News', 'Article Modify Pending', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.APPROVE', NULL, 1, 0, 'In-News', 'Approve Article Modification', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.MODIFY.DENY', NULL, 1, 0, 'In-News', 'Decline Article Modification', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.APPROVE', NULL, 1, 0, 'In-News', 'Approve Article', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.DENY', NULL, 1, 0, 'In-News', 'Decline Article', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD', NULL, 1, 1, 'In-News', 'Article Comment Added', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD', NULL, 1, 0, 'In-News', 'Article Comment Added', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.APPROVE', NULL, 1, 0, 'In-News', 'Article Comment Approved', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.DENY', NULL, 1, 0, 'In-News', 'Article Comment Declined', 0, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-News', 'Article Comment Pending', 1, 1, 1);
+INSERT INTO EmailTemplates (TemplateId, TemplateName, ReplacementTags, Enabled, FrontEndOnly, Module, Description, Type, AllowChangingSender, AllowChangingRecipient) VALUES(DEFAULT, 'NEWS.REVIEW.ADD.PENDING', NULL, 1, 0, 'In-News', 'Article Comment Pending', 0, 1, 1);
 
 INSERT INTO ItemTypes VALUES (2, 'In-News', 'n', 'News', 'Title', 'CreatedById', 'Hits', 'CachedRating', 'la_ItemTab_News', 1, 'in-news/admin/addarticle.php', 'clsNews', 'Article');
 
